<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddMessageWaitingReq StructType
 * @subpackage Structs
 */
class AddMessageWaitingReq extends APIRequest
{
    /**
     * The messageWaiting
     * @var XMessageWaiting
     */
    public $messageWaiting;
    /**
     * Constructor method for AddMessageWaitingReq
     * @uses AddMessageWaitingReq::setMessageWaiting()
     * @param XMessageWaiting $messageWaiting
     */
    public function __construct(XMessageWaiting $messageWaiting = null)
    {
        $this
            ->setMessageWaiting($messageWaiting);
    }
    /**
     * Get messageWaiting value
     * @return XMessageWaiting|null
     */
    public function getMessageWaiting()
    {
        return $this->messageWaiting;
    }
    /**
     * Set messageWaiting value
     * @param XMessageWaiting $messageWaiting
     * @return AddMessageWaitingReq
     */
    public function setMessageWaiting(XMessageWaiting $messageWaiting = null)
    {
        $this->messageWaiting = $messageWaiting;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddMessageWaitingReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
